import clsx from 'clsx'
import { type ComponentProps } from 'react'

import { DropdownMenu } from 'radix-ui'

import { rootStyles } from './Divider.styles'

type DividerProps = ComponentProps<typeof DropdownMenu.Separator>

function Divider({ className }: DividerProps) {
	return <DropdownMenu.Separator className={clsx(rootStyles, className)} />
}

export { Divider }
